Authorizations with Payment Network Tokens
This section shows you how to successfully process an authorization with payment network tokens.
Supported Processors
These processors and card types support authorizations with payment network tokens:
| Processor | Card Types |
|---|---|
| American Express Direct | American Express |
| Barclays | Visa, Mastercard, JCB, Maestro (International), Maestro (UK Domestic), Diners Club, Discover<br>If you support Maestro (UK Domestic), you must also support Maestro (International), and you must support Mastercard Identity Check for both card types. |
| Chase Paymentech Solutions | Visa, Mastercard, American Express, Discover, Diners Club, JCB, Carte Blanche, Maestro (International) |
| Chase Tandem | Visa, Mastercard, American Express, Discover, Diners Club, JCB, China UnionPay |
| Cielo | Visa, Mastercard, Elo |
| Credit Mutuel-CIC | Visa, Mastercard, Cartes Bancaires |
| Elavon Americas | Visa, Mastercard, American Express, JCB, Diners Club, Discover, China UnionPay |
| FDC Nashville Global | Mastercard, Visa |
| FDC Compass | American Express, Discover, Mastercard, Visa |
| FDMS Nashville | Visa, Mastercard |
| GPN | Visa, Mastercard, American Express, Discover, Diners Club, JCB |
| HBoS | Visa, Mastercard |
| HSBC | Visa, Mastercard, Maestro (UK Domestic), Maestro (International), Visa Electron |
| JCN Gateway | JCB |
| OmniPay Direct | Visa, Mastercard, Discover, Diners Club, Maestro (UK Domestic), Maestro (International) |
| Prisma | Visa, Mastercard |
| SIX | Visa, Mastercard |
| Streamline | Visa, Mastercard |
| TSYS Acquiring Solutions | Visa, Mastercard, American Express |
| Vero | Visa, Mastercard, Elo |
| Visa, Mastercard, American Express, Discover, JCB, Diners Club | |
| Worldpay VAP | Visa, Mastercard |
| Processor | Card Types |
|---|---|
| Barclays | Visa, Mastercard, JCB, Maestro (International), Maestro (UK Domestic), Diners Club, Discover<br>If you support Maestro (UK Domestic), you must also support Maestro (International), and you must support Mastercard Identity Check for both card types. |
| Processor | Card Types |
|---|---|
| Chase Paymentech Solutions | Visa, Mastercard, American Express, Discover, Diners Club, JCB, Carte Blanche, Maestro (International) |
| Elavon Americas | Visa, Mastercard, American Express, JCB, Diners Club, Discover, China UnionPay |
| FDC Nashville Global | Mastercard, Visa |
| Streamline | Visa, Mastercard |
| Visa, Mastercard, American Express, Discover, JCB, Diners Club | |
| Worldpay VAP<br>Worldpay VAP was previously called Litle. Litle was purchased by Vantiv, which was then purchased by Worldpay VAP. If you have any questions about this situation, contact your account manager at Worldpay VAP. | Visa, Mastercard |
| Processor | Card Types |
|---|---|
| Visa, Mastercard, American Express, Discover, JCB, Diners Club | |
| TSYS Acquiring Solutions | Visa, Mastercard, American Express |
| Processor | Card Types |
|---|---|
| Visa, Mastercard, American Express, Discover, JCB, Diners Club |
| Processor | Card Types |
|---|---|
| Visa, Mastercard, American Express, Discover, JCB, Diners Club |
Processor-Specific Information
FDC Nashville Global Merchant Category Codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "orderInformation" : { "billTo": { "country": "US", "lastName": "Kim", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "Kyong-Jin", "email": "" }, "amountDetails" : { "totalAmount" : "100", "currency" : "USD" } }, "paymentInformation" : { "tokenizedCard" : { "expirationYear" : "2031", "number" : "CARD_NUMBER", "expirationMonth" : "12", "transactionType" : "1", "cryptogram" : "qE5juRwDzAUFBAkEHuWW9PiBkWv=" } }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/6838294805206235603954/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/6838294805206235603954" }, "capture": { "method": "POST", "href": "/pts/v2/payments/6838294805206235603954/captures" } }, "clientReferenceInformation": { "code": "1683829480593" }, "id": "6838294805206235603954", "orderInformation": { "amountDetails": { "authorizedAmount": "100.00", "currency": "USD" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "pointOfSaleInformation": { "terminalId": "111111" }, "processorInformation": { "approvalCode": "888888", "networkTransactionId": "123456789619999", "transactionId": "123456789619999", "responseCode": "100", "avs": { "code": "1" } }, "reconciliationId": "60332034UHI9PRJ0", "status": "AUTHORIZED", "submitTimeUtc": "2023-05-11T18:24:40Z"}Required Fields
Default Fields
| Field | Description |
|---|---|
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
orderInformation.billTo.address1 | — |
orderInformation.billTo.email | — |
orderInformation.billTo.firstName | — |
orderInformation.billTo.lastName | — |
paymentinformation.tokenizedCard.cryptogram | — |
paymentinformation.tokenizedCard.expirationMonth | — |
paymentinformation.tokenizedCard.expirationYear | — |
Processor-Specific Fields
Elavon Americas, FDC Compass, RuPay, and
| Field | Description |
|---|---|
paymentInformation.tokenizedCard.requestorId | — |
paymentInformation.tokenizedCard.transactionType | — |
Processor-Specific Fields
Elavon Americas and
| Field | Description |
|---|---|
paymentInformation.tokenizedCard.requestorId | — |
paymentInformation.tokenizedCard.transactionType | — |
Optional Fields
You can use these optional fields to include additional information when processing an authorization with a payment network token:
Optional Fields
| Field | Description |
|---|---|
clientReferenceInformation.code | |
consumerAuthenticationInformation.cavv | For 3-D Secure in-app transactions for Visa and JCB, set this field to the 3-D Secure cryptogram. Otherwise, set to the network token cryptogram. |
consumerAuthenticationInformation.ucafAuthenticationData | For Mastercard requests using 3-D Secure, set this field to the Identity Check cryptogram. |
consumerAuthenticationInformation.ucafCollectionIndicator | For Mastercard requests using 3-D Secure, set the value to 2. |
orderInformation.amountDetails.currency | |
orderInformation.amountDetails.totalAmount | |
orderInformation.billTo.address1 | |
orderInformation.billTo.country | |
orderInformation.billTo.email | |
orderInformation.billTo.firstName | |
orderInformation.billTo.lastName | |
orderInformation.billTo.locality | |
orderInformation.billTo.postalCode | Required only for transactions in the US and Canada. |
orderInformation.billTo.administrativeArea | Required only for transactions in the US and Canada. |
processingInformation.commerceIndicator | |
paymentInformation.tokenizedCard.cardType | It is strongly recommended that you send the card type even if it is optional for your processor. Omitting the card type can cause the transaction to be processed with the wrong card type. |
paymentInformation.tokenizedCard.cryptogram | |
paymentInformation.tokenizedCard.expirationMonth | Set to the token expiration month that you received from the token service provider. |
paymentInformation.tokenizedCard.expirationYear | Set to the token expiration year that you received from the token service provider. |
paymentInformation.tokenizedCard.number | Set to the token value that you received from the token service provider. |
paymentInformation.tokenizedCard.requestorId | |
paymentInformation.tokenizedCard.transactionType |
Thanks for your feedback!
Last published: September 29, 2026